Retrieve a list of charges

Required scope: charge-transactions:read
Organization authorization: supported

Pagination Limit: A maximum of 20,000 charges can be retrieved. To retrieve more data, use more specific filters, like date range filters such as fromDate, toDate, fromUpdatedDate, fromCompletedDate, or toCompletedDate.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
Defaults to 0

page number to retrieve (starts with 0)

int32
Defaults to 10

number of items per page (between 1 and 100, default 10)

int64 | null

Filter to retrieve charges with specified teamId
Note: Depending on the operatorRole the teamId will filter differently:
operatorRole = owner: will filter charges from charge points that are owned by the team
operatorRole = payer: will filter charges paid by team

int64 | null

Filter to retrieve charges with specified operatorId
*Note:*The operatorId must be in the consumer’s operatorIds or, if empty, belong to the organization’s sub-operators.
Note: When not provided and operatorRole = payer the default operator will be used for the given consumer, if the default operator cannot be assigned the request will be rejected

int64 | null

Filter to retrieve charges with specified chargePointId

int64 | null

Filter to retrieve charges with specified siteId

string | null
enum

Filter to retrieve charges by state

date-time | null

Filter to retrieve charges where createdAt >= fromDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)

date-time | null

Filter to retrieve charges where createdAt <= toDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)

date-time | null

Filter to retrieve charges where updatedAt >= fromUpdatedDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)

date-time | null

Filter to retrieve charges where completedAt >= fromCompletedDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)

date-time | null

Filter to retrieve charges where completedAt <= toCompletedDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)

string | null
enum

Filter to retrieve charges by the charge authentication type, must be combined with chargeAuthId

Allowed:
string | null

Filter to retrieve charges by the charge authentication id, must be combined with chargeAuthType
Note: for type vehicleId chargeAuthId must not include the VID: prefix

string | null

Filter charges by partnerExternalId, to filter only resources without partnerExternalId use partnerExternalId=""

string | null
enum
Defaults to owner

Enumerate the possible filters for operator role

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json